Name:           sl
Version:        5.02
Release:    1%{?dist}
Summary:        Joke command for when you type 'sl' instead of 'ls'
License:        SL
URL:            https://github.com/mtoyoda/sl
Source0:        https://github.com/mtoyoda/sl/archive/%{version}/sl-%{version}.tar.gz
BuildRequires: make
BuildRequires:  ncurses-devel, gcc


%description
The sl (Steam Locomotive) command is a joke which displays a train on your
terminal when you accidentally type 'sl' instead of 'ls'.


%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m0755 sl %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
install -p -m644 sl.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_mandir}/ja/man1
install -p -m644 sl.1.ja %{buildroot}%{_mandir}/ja/man1/


%files
%doc README.ja.md README.md LICENSE
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%{_bindir}/sl


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.02-1
- initial build
